Bug 108605 - Oops on USB serial disconnect
Oops on USB serial disconnect
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-30 11:32 EST by Charlie Brady
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-07 01:35:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charlie Brady 2003-10-30 11:32:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031009

Description of problem:
Trying to get a synce connection going to an IPAQ running WinCE. Got the
following spew into /var/log/messages - I think when the IPAQ went into power save:

Oct 30 11:24:37 pc-00085 kernel: usb.c: USB disconnect on device 00:02.3-1 address 4
Oct 30 11:24:37 pc-00085 kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000998
Oct 30 11:24:37 pc-00085 kernel:  printing eip:
Oct 30 11:24:37 pc-00085 kernel: e09da4da
Oct 30 11:24:37 pc-00085 kernel: *pde = 00000000
Oct 30 11:24:37 pc-00085 kernel: Oops: 0002
Oct 30 11:24:37 pc-00085 kernel: ppp_deflate ppp_async ppp_generic slhc ipaq
usbserial vfat fat joydev tuner bttv i2c-algo-bit i2c-core videodev i810_audio
ac97_codec soundcore parport_pc lp
Oct 30 11:24:37 pc-00085 kernel: CPU:    0
Oct 30 11:24:37 pc-00085 kernel: EIP:    0060:[<e09da4da>]    Not tainted
Oct 30 11:24:37 pc-00085 kernel: EFLAGS: 00210246
Oct 30 11:24:37 pc-00085 kernel:
Oct 30 11:24:37 pc-00085 kernel: EIP is at usb_serial_disconnect [usbserial]
0x6a (2.4.22-1.2088.nptl)
Oct 30 11:24:37 pc-00085 kernel: eax: 00000000   ebx: c7041c00   ecx: dff930c0 
 edx: dff930c8
Oct 30 11:24:37 pc-00085 kernel: esi: c7041c1c   edi: 00000000   ebp: c7041c00 
 esp: dcef5f18
Oct 30 11:24:37 pc-00085 kernel: ds: 0068   es: 0068   ss: 0068
Oct 30 11:24:37 pc-00085 kernel: Process khubd (pid: 90, stackpage=dcef5000)
Oct 30 11:24:37 pc-00085 kernel: Stack: c7041c1c 00000000 00000010 e09dc480
e09dc460 00000000 d514682c e088a274
Oct 30 11:24:37 pc-00085 kernel:        ddd2e000 c7041c00 ddd2e004 00000004
00000000 ddd2e000 00000100 0000000a
Oct 30 11:24:37 pc-00085 kernel:        df5f7800 00000000 e088d0cf df5f790c
00000001 00000010 df5f7800 e088cb2c
Oct 30 11:24:37 pc-00085 kernel: Call Trace:   [<e09dc480>] usb_serial_driver
[usbserial] 0x20 (0xdcef5f24)Oct 30 11:24:37 pc-00085 kernel: [<e09dc460>]
usb_serial_driver [usbserial] 0x0 (0xdcef5f28)
Oct 30 11:24:37 pc-00085 kernel: [<e088a274>] usb_disconnect_R6d25dafd [usbcore]
0x94 (0xdcef5f34)
Oct 30 11:24:37 pc-00085 kernel: [<e088d0cf>] usb_hub_port_connect_change
[usbcore] 0x26f (0xdcef5f60)
Oct 30 11:24:37 pc-00085 kernel: [<e088cb2c>] usb_hub_port_status [usbcore] 0x6c
(0xdcef5f74)
Oct 30 11:24:37 pc-00085 kernel: [<e088d3b8>] usb_hub_events [usbcore] 0x2d8
(0xdcef5f94)
Oct 30 11:24:37 pc-00085 kernel: [<e088d446>] usb_hub_thread [usbcore] 0x36
(0xdcef5fc0)
Oct 30 11:24:37 pc-00085 kernel: [<e088d410>] usb_hub_thread [usbcore] 0x0
(0xdcef5fc4)
Oct 30 11:24:37 pc-00085 kernel: [<e088d410>] usb_hub_thread [usbcore] 0x0
(0xdcef5fe0)
Oct 30 11:24:37 pc-00085 kernel: [<c01072bd>] kernel_thread_helper [kernel] 0x5
(0xdcef5ff0)
Oct 30 11:24:37 pc-00085 kernel:
Oct 30 11:24:37 pc-00085 kernel:
Oct 30 11:24:37 pc-00085 kernel: Code: c7 80 98 09 00 00 00 00 00 00 8d 4e 58 ff
43 74 0f 8e 74 05


Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2088.nptl

How reproducible:
Didn't try

Steps to Reproduce:


Additional info:
Comment 1 Neil Weisenfeld 2003-11-11 11:11:09 EST
Same problem on a Thinkpad T40p w/ Fedora Core 1.  Driving me nuts.  I
wonder if this is a relevant patch.

I tried patching, but right now the Fedora kernel source package
doesn't build for me.  Haven't been able to track that down yet.


http://www.mail-archive.com/linux-usb-devel@lists.sourceforge.net/msg15835.html
Comment 2 Neil Weisenfeld 2003-11-11 14:07:09 EST
The patch referenced in my comment above appears to have fixed the
problem.  I had to add the patch manually to usbserial.c, but it seems
to have fixed the oops.  It was quite reproducible on my system...
basically the first disconnect on a ttyUSB would kill off the
usbserial driver and then it couldn't be used or unloaded until next
reboot.
Comment 3 Paco Avila 2003-11-19 08:59:37 EST
I have the same bug when disconnection my iPAQ h1930.
Comment 4 Pete Zaitcev 2004-01-17 11:56:04 EST
Does the same happen on 2.4.22-1.2140? If yes, please attach dmesg
taken after the fault (dmesg > /tmp/dmesg.out).
Please DO NOT drop it in the comments box.
Comment 5 Paco Avila 2004-01-18 00:24:36 EST
This bug is fixed in kernel 2.4.23. The modified file is
drivers/usb/serial/usbserial.c

Cheers!
Comment 6 Pete Zaitcev 2004-01-18 02:10:33 EST
Charlie, ignore Paco and answer my request, please :-)
I know that 2.4.23 works. I need to know if what I backported from
2.4.23 worked or something else is needed.
Comment 7 Paco Avila 2004-01-26 17:25:44 EST
I'm using the last kernel (2.4.22-1.2149.nptl) and my iPAQ doesn't
work well :-( This is the kernel message:

----------------------------------------------------------------------
Jan 26 23:03:56 antares devlabel: devlabel service started/restarted
Jan 26 23:04:02 antares pppd[9178]: pppd 2.4.1 started by root, uid 0
Jan 26 23:04:03 antares pppd[9178]: Serial connection established.
Jan 26 23:04:03 antares pppd[9178]: Using interface ppp0
Jan 26 23:04:03 antares pppd[9178]: Connect: ppp0 <--> /dev/ttyUSB0
Jan 26 23:04:03 antares modprobe: modprobe: Can't locate module
ppp-compress-21
Jan 26 23:04:03 antares kernel: PPP Deflate Compression module registered
Jan 26 23:04:03 antares modprobe: modprobe: Can't locate module
ppp-compress-21
Jan 26 23:04:03 antares pppd[9178]: local  IP address 192.168.131.102
Jan 26 23:04:03 antares pppd[9178]: remote IP address 192.168.131.201
Jan 26 23:04:18 antares kernel: usbserial.c: too much data (101)
Jan 26 23:04:18 antares kernel: usbserial.c: too much data (100)
Jan 26 23:04:18 antares kernel: usbserial.c: too much data (100)
Jan 26 23:04:19 antares kernel: usbserial.c: too much data (108)
----------------------------------------------------------------------

I can't browse iPAQ filesystem because of this error: "too much data".
The solution exposed on comment #5 is better.
Comment 8 Paco Avila 2004-01-26 17:34:01 EST
And when I unplug USB from iPAQ, my computer locks up! 
Comment 9 Dave Jones 2004-12-07 01:35:55 EST
fc1 - eol

Note You need to log in before you can comment on or make changes to this bug.